Bug 60070 - gcc internal error when compiling argp-parse.c from lsh
gcc internal error when compiling argp-parse.c from lsh
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-19 13:17 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-19 13:18:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file that crashes gcc (117.26 KB, text/plain)
2002-02-19 13:18 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-02-19 13:17:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
See summary and details below.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Compile lsh from CVS.

Actual Results:  [jas@localhost argp]$ make CC="gcc -save-temps"
source='argp-parse.c' object='argp-parse.o' libtool=no \
depfile='.deps/argp-parse.Po' tmpdepfile='.deps/argp-parse.TPo' \
depmode=gcc3 /bin/sh /home/jas/src/lsh/src/argp/../../depcomp \
gcc -save-temps -DHAVE_CONFIG_H -I. -I/home/jas/src/lsh/src/argp -I.  
-D_GNU_SOURCE -I/home/jas/src/lsh/src/argp  -g -O2 -ggdb3 -Wall -W 
-Wmissing-prototypes -Wmissing-declarations -Wstrict-prototypes 
-Waggregate-return  -Wpointer-arith -Wbad-function-cast -Wnested-externs -c
`test -f argp-parse.c || echo '/home/jas/src/lsh/src/argp/'`argp-parse.c
argp-parse.c:96: warning: missing initializer
argp-parse.c:96: warning: (near initialization for `argp_default_options[1].group')
argp-parse.c:97: warning: missing initializer
argp-parse.c:97: warning: (near initialization for `argp_default_options[2].group')
argp-parse.c:99: warning: missing initializer
argp-parse.c:99: warning: (near initialization for `argp_default_options[3].group')
argp-parse.c:100: warning: missing initializer
argp-parse.c:100: warning: (near initialization for `argp_default_options[4].arg')
argp-parse.c:160: warning: missing initializer
argp-parse.c:160: warning: (near initialization for `argp_version_options[1].arg')
argp-parse.c: In function `_option_is_short':
argp-parse.c:1294: Internal compiler error in add_abstract_origin_attribute, at
dwarf2out.c:7985
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [argp-parse.o] Error 1
[jas@localhost argp]$ 


Expected Results:  Guess what.

Additional info:

CC=gcc3 works.  Also see attached argp-parse.i from -save-temps.
Comment 1 Need Real Name 2002-02-19 13:18:52 EST
Created attachment 46062 [details]
file that crashes gcc
Comment 2 Jakub Jelinek 2002-03-06 12:46:32 EST
Don't use -ggdb in 2.96-RH. Being secondary debug format there, it got much
less testing (this is not the only ICE you can see with dwarf2).
gcc 3.0.x is better and 3.1 even better (in 3.1 dwarf2 is the default debugging
format).

Note You need to log in before you can comment on or make changes to this bug.